Public Attributes | List of all members
_ll_msio_init Struct Reference
Peripheral Driver » LL Driver » MSIO » Structures » MSIO Exported init structures

LL MSIO init Structure definition. More...

`#include <gr55xx_ll_msio.h>`

## Public Attributes
uint32_t | pin
| Specifies the MSIO pins to be MSIO_InitStructured. More...
uint32_t | direction
| Specifies the direction for the selected pins. More...
uint32_t | mode
| Specifies the operating mode for the selected pins. More...
uint32_t | pull
| Specifies the operating Pull-up/Pull down for the selected pins. More...
uint32_t | mux

## Detailed Description

LL MSIO init Structure definition.

Definition at line 84 of file gr55xx_ll_msio.h.

## Member Data Documentation

## ◆ direction

uint32_t _ll_msio_init::direction

Specifies the direction for the selected pins.

This parameter can be a value of Direction.

MSIO HW MSIO_InitStructuration can be modified afterwards using unitary function ll_msio_set_pin_direction().

Definition at line 89 of file gr55xx_ll_msio.h.

## ◆ mode

uint32_t _ll_msio_init::mode

Specifies the operating mode for the selected pins.

This parameter can be a value of Mode.

MSIO HW MSIO_InitStructuration can be modified afterwards using unitary function ll_msio_set_pin_mode().

Definition at line 94 of file gr55xx_ll_msio.h.

## ◆ mux

uint32_t _ll_msio_init::mux

Specifies the Peripheral to be connected to the selected pins. This parameter can be a value of Alternate Function.

GPIO HW MSIO_InitStructuration can be modified afterwards using unitary function ll_msio_set_pin_mux().

Definition at line 104 of file gr55xx_ll_msio.h.

## ◆ pin

uint32_t _ll_msio_init::pin

Specifies the MSIO pins to be MSIO_InitStructured.

This parameter can be any value of PIN

Definition at line 86 of file gr55xx_ll_msio.h.

## ◆ pull

uint32_t _ll_msio_init::pull

Specifies the operating Pull-up/Pull down for the selected pins.

This parameter can be a value of Pull Up Pull Down.

MSIO HW configuration can be modified afterwards using unitary function ll_msio_set_pin_pull().

Definition at line 99 of file gr55xx_ll_msio.h.

The documentation for this struct was generated from the following file:

- gr55xx_ll_msio.h